summaryrefslogtreecommitdiff
path: root/scripts/revive-chrome-gpu
diff options
context:
space:
mode:
authordavidovski <david@davidovski.xyz>2021-10-09 22:20:41 +0100
committerdavidovski <david@davidovski.xyz>2021-10-09 22:20:41 +0100
commit01ced0b7ce47d279789efb2dc70d1cd009ac56ad (patch)
tree6ece604b8ae3476d2d70c9c9d42f86fe607990da /scripts/revive-chrome-gpu
initial commit
Diffstat (limited to 'scripts/revive-chrome-gpu')
-rwxr-xr-xscripts/revive-chrome-gpu16
1 files changed, 16 insertions, 0 deletions
diff --git a/scripts/revive-chrome-gpu b/scripts/revive-chrome-gpu
new file mode 100755
index 0000000..0bf16bc
--- /dev/null
+++ b/scripts/revive-chrome-gpu
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+if [ "$2" = "suspend" ] || [ "$2" = "hybrid-sleep" ]
+then
+ case "$1" in
+ pre)
+ true
+ ;;
+ post)
+ sleep 1
+ pkill -f 'brave \-\-type=gpu-process'
+ ;;
+ esac
+fi